WICONFIG(8) | System Manager's Manual | WICONFIG(8)

# NAME

`wiconfig` —
configure WaveLAN/IEEE devices

# SYNOPSIS

`wiconfig` | interface [`-Dho`] [`-A` 1|2] [`-a` access_point_density] [`-d` max_data_length] [`-M` 0|1] [`-R` 1|3] [`-s` station_name]

# DESCRIPTION

The `wiconfig` command controls the operation of WaveLAN/IEEE wireless networking devices via the wi(4) and awi(4) drivers. The `wiconfig` command can also be used to view the current settings of these parameters and to dump out the values of the card's statistics counters.

Most of the parameters that can be changed relate to the IEEE 802.11 protocol which the WaveLAN implements. This includes the station name, whether the station is operating in ad-hoc (point to point) or BSS (service set) mode, and the network name of a service set to join (IBSS) if BSS mode is enabled.

The interface argument given to `wiconfig` should be the logical interface name associated with the WaveLAN/IEEE device (e.g., wi0, wi1, etc.).

# OPTIONS

With no extra options, `wiconfig` will display the current settings of the specified WaveLAN/IEEE interface.

The options are as follows:

`-A` 1|2
  Set the authentication type for a specified interface. Permitted values are 1 (Open System Authentication) or 2 (Shared Key Authentication). The default is 1.
`-a` access_point_density
  Specify the access point density for a given interface. Legal values are 1 (low), 2 (medium), and 3 (high). This setting influences some of the radio modem threshold settings.
`-D`
  This forces the driver to initiate one round of access point scanning. All of the access points found are displayed.
`-d` max_data_length
  Set the maximum receive and transmit frame size for a specified interface. The max data length can be any number from 256 to 2346. The default is 2304.
`-h`
  Display a short help.
`-M` 0|1
  Enable or disable “microwave oven robustness” on a given interface. This should only be used if needed.

  In cases of slow performance where there is a good quality signal but also high levels of noise (i.e., the signal to noise ratio is bad but the signal strength is good), or a microwave oven is operating near the antenna of the WLAN peer or access point, this option may be of use.

  In bad signal-to-noise conditions, the link layer will switch to lower transmit rates. However at lower transmit rates, individual frames take longer to transmit, making them more vulnerable to bursty noise. The option works by enabling data fragmentation in the link layer as the transmit speed lowers in an attempt to shorten the transmit time of each frame so that individual frames are more likely to be transmitted without error.

  Note that this does not impact the visible MTU of the link.

`-o`
  Print out the statistics counters instead of the card settings. Note that, however, the statistics will only be updated every minute or so.
`-R` 1|3
  Enable or disable roaming function on a given interface. The legal values are 1 (Roaming handled by firmware) and 3 (Roaming Disabled). The default is 1.
`-r` RTS_threshold
`-f` fragmentation_threshold
`-m` MAC_address
  These options are deprecated since NetBSD 6.0. Use ifconfig(8) to set the link-layer address, the fragmentation threshold, and the RTS threshold.
`-s` station_name
  Sets the station_name for the specified interface. The station_name is used for diagnostic purposes. The Lucent WaveMANAGER software can poll the names of remote hosts.

# SEE ALSO

awi(4), wi(4), ifconfig(8)

# HISTORY

The `wiconfig` command first appeared in FreeBSD 3.0, as `wicontrol`. It was added to NetBSD 1.5 under its present name.

# AUTHORS

The `wiconfig` command was written by Bill Paul <wpaul@ctr.columbia.edu>.

July 2, 2009 | NetBSD 10.1